Skip to main content
PUT
Update transfer link

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

The transfer link ID

Body

application/json
financial_account_id
integer

The ID of the financial account transactions are being transferred from.

destination_type
enum<string>

The type of destination the transfer link sends transactions to:

  • YNAB: a YNAB budget account.
  • LUNCH_MONEY: a Lunch Money account.
  • GOOGLE_SHEETS: a Google Sheet.
Available options:
YNAB,
LUNCH_MONEY,
GOOGLE_SHEETS,
NOTION
destination_id
integer

The ID of the destination transactions should be transferred to. Required when destination_type is provided. The type of resource the ID refers to depends on the destination type:

  • YNAB: the ID of a YNAB budget account.
  • LUNCH_MONEY: the ID of a Lunch Money account.
  • GOOGLE_SHEETS: the ID of a Google Sheet.
transfer_start_date
string<date-time> | null

The date from which the transfer link will start transferring transactions. If not provided, all available transactions in the attached financial account will be transferred regardless of their date.

Example:

"2025-01-01"

on_booked_change
object

Which destination fields to update when a transaction's booked status changes. If not provided, all fields will be updated.

active
boolean | null

Whether the transfer link is active.

sync_mode
enum<string> | null

Which streams to push to the destination:

  • transactions: only individual transactions
  • balance: only periodic balance snapshots
  • transactions_and_balance: both
Available options:
TRANSACTIONS,
BALANCE,
TRANSACTIONS_AND_BALANCE

Response

message
string
required
Allowed value: "Transfer link updated."
data
TransferLinkResource · object
required